0

Error compiling TOUGH3 and AZTEC

Hello, I have a problem compiling TOUGH3 on Ubuntu 22.04. Here is the terminal error message. In the AZTEC err.log file (also attached) it says that: "Flow control statements are not properly nested." Can you help?

4replies Oldest first
  • Oldest first
  • Newest first
  • Active threads
  • Popular
  • Can you help? Is it possible to install aztec separately or only rely on petsc?

    Like
  • Have you tried this one:

    https://tough.forumbee.com/t/g9h57pf/tough3-installation-issue

    We have a newer version (TOUGH3 V1.1), which is expected to be more robust for installation. If you have license for TOUGH3, we can send you the new version.

    Like
    • Kenny yes I will contact you regarding TOUGH3V1.1. Thank you.

      Like
  • If you still have problem with aztec compilation, please replace the attached two files to the original ones. They are located at:  /esd-toughlib/tpls/templates

    Like
Like Follow
  • 4 days agoLast active
  • 4Replies
  • 44Views
  • 2 Following